<div [ngStyle]="{'display': statusSavePage ? 'none' : '' }" class="modal-content">
  <div class="modal-content-body">
    <div class="row">
      <div class="col-10">
        <span class="title-modal">ยืนยันเพิ่มสิทธิ์การใช้งาน</span>
        <span class="title-modal2"> ({{loopUserCount + 1}}/{{confirmData.length}} รายการ)</span>
      </div>
  
      <div class="col-2" style="text-align: right;">
        <img src="assets/img/x.png" class="close-btn" (click)="close()">
      </div>
    </div>
  
    <br>
    <div class="row">
      <div class="col-12 mb-3">
        <span class="title-modal3">ขั้นตอนที่ 1.	ตรวจสอบข้อมูลพนักงาน</span>
      </div>
      <div class="col-12">
        <div class=" row">
          <div class=" col-4">
            <label for="department">รหัสพนักงาน</label>
            <input for="department" type="text" class="form-control input-staff" placeholder="รหัสพนักงาน" [(ngModel)]="addPermissionData[loopUserCount].modelEmpoyeeID" readonly>
          </div>
          <div class=" col-8">
            <label for="department">ชื่อ-นามสกุล</label>
            <input type="text" class="form-control input-staff" placeholder="กรอกชื่อ-นามสกุล" [(ngModel)]="addPermissionData[loopUserCount].modelempoyeeName" readonly>
          </div>
        </div>
      </div>
      <div class="col-12 mt-2 mb-2">
        <hr>
      </div>
      <div class="col-12 mb-3">
        <span class="title-modal3">ขั้นตอนที่ 2.	กำหนดสิทธิ์การใช้งานแก่พนักงาน</span>
      </div>
  
      <div class="col-12 mb-3">
        <label for="department">สิทธิ์ผู้ใช้งาน</label>
        <select class="browser-default custom-select"
                [(ngModel)]="addPermissionData[loopUserCount].user_permission" (ngModelChange)="filLevel(addPermissionData[loopUserCount].user_permission); addPermissionData[loopUserCount].permission_level = null">
          <option value="null" selected disabled>กรุณาเลือกสิทธิ์ผู้ใช้งาน</option>
          <option *ngFor="let item of permissionList" value="{{item.permission}}">
            <a *ngIf="item.permission ==='Retail'">Retail Shared Services </a>
            <a *ngIf="item.permission !=='Retail'">{{item.permission}}</a>
          </option>
        </select>
      </div>
  
      <div class="col-12 mb-3">
        <label for="department">ระดับสิทธิ์ผู้ใช้งาน</label>
        <select class="browser-default custom-select"
                [(ngModel)]="addPermissionData[loopUserCount].permission_level">
          <option value="null" selected disabled>กรุณาเลือกระดับสิทธิ์ผู้ใช้งาน</option>
          <option value="{{item}}"  *ngFor="let item of level">{{item}}</option>
        </select>
      </div>
    </div>
  </div>
  <div class="modal-content-footer">
    <div class="row">
      <div class="col-12">
        <div class="d-flex bd-highlight">
          <div class="w-100 bd-highlight">
            <button mat-flat-button class="btn-back-permission"
            [ngStyle]="{'display': loopUserCount === 0 ? 'none' : '' }"
            (click)="managePermissionBack()">
            ย้อนกลับ
            </button>
          </div>
          <div class="flex-shrink-1 bd-highlight">
            <div *ngIf="addPermissionData.length === 1;else other_content">
              <button mat-flat-button class="btn-add-permission"
                [disabled]="(addPermissionData[loopUserCount].user_permission === null) || (addPermissionData[loopUserCount].permission_level === null)"
                (click)="managePermissionNext()">
                เพิ่มสิทธิ์การใช้งาน
              </button>
            </div>
            <ng-template #other_content>
              <button mat-flat-button class="btn-add-permission"
                [disabled]="(addPermissionData[loopUserCount].user_permission === null) || (addPermissionData[loopUserCount].permission_level === null)"
                (click)="managePermissionNext()">
                เพิ่มสิทธิ์คนถัดไป 
              </button>
            </ng-template>
            
          </div>
        </div>
      </div>
    </div>
  </div>
  
</div>

<!-- save --------------------------------------------------------------------------------------------- -->
<div  [ngStyle]="{'display': !(statusSavePage) ? 'none' : '' }" class="modal-content-save">
  <div class="row">
    <div class="col-12 topDetail-save" >
      <span class="title-modal-save"><img src="assets/img/checkmark-s.png"> ยืนยันการเพิ่มสิทธิ์การใช้งาน </span>
      <img src="assets/img/x.png" class="close-btn-save" (click)="close()">
    </div>

      <div class="col-12 bodyDetail-save">
        <br><br>
        <div *ngIf="addPermissionData.length === 1;else other">
          <span class="title-modal2-save">คุณแน่ใจหรือไม่? ว่าต้องการเพิ่มสิทธิ์การใช้งาน</span>
        </div>
        <ng-template #other>
          <span class="title-modal2-save">คุณแน่ใจหรือไม่? ว่าต้องการเพิ่มสิทธิ์การใช้งานจำนวนทั้งสิ้น {{addPermissionData.length}} รายการ</span>
        </ng-template>
        
      </div>

    <div class="col-12" style="padding-left: 50px; padding-right: 50px; padding-bottom: 40px;">
      <br><br>
      <div class="d-flex bd-highlight">
        <div class="w-100 bd-highlight">
          <button mat-flat-button class="btn-back-permission"
          (click)="back()">
          กลับไปแก้ไข
          </button>
        </div>
        <div class="flex-shrink-1 bd-highlight">
          <button mat-flat-button class="btn-add-permission"
          (click)="save()">
          ยืนยันการเพิ่ม
          </button>
        </div>
      </div>
    </div>
  </div>
</div>
